---

- name: Generate create cluster script.
  template:
    src: delete_ovh_kubernetes_clusters.py
    dest: "{{ ovh_kubernetes_cluster_tmp_dir }}/delete_ovh_kubernetes_clusters.py"

- name: Delete kubernetes cluster on OVH.
  environment:
    OVH_ENDPOINT: "{{ ovh_endpoint }}"
    OVH_APPLICATION_KEY: "{{ secret_ovh_application_key }}"
    OVH_APPLICATION_SECRET: "{{ secret_ovh_application_secret }}"
    OVH_CONSUMER_KEY: "{{ secret_ovh_consumer_key }}"
    OVH_SERVICE_NAME: "{{ ovh_kubernetes_serviceName }}"
    CLUSTER_NAME: "{{ ovh_kubernetes_cluster_name }}"
  script:
    cmd: "{{ ovh_kubernetes_cluster_tmp_dir }}/delete_ovh_kubernetes_clusters.py"
    executable: python3
  register: create_cluster_action
  changed_when:
  - "'No cluster match to delete' not in create_cluster_action.stdout"

...
